Hailuo 2.3 - Text to Video
minimax_hailuo_23_t2v
Hailuo 2.3 Text to Video 从文本提示词生成高质量动画视频,具有增强的分辨率和运动质量。
POST /v1/queue/minimax_hailuo_23_t2v # 创建任务GET /v1/queue/minimax_hailuo_23_t2v/requests/{request_id}/status # 查询状态GET /v1/queue/minimax_hailuo_23_t2v/requests/{request_id}/response # 获取结果PUT /v1/queue/minimax_hailuo_23_t2v/requests/{request_id}/cancel # 取消任务curl --location "https://cloud.seaart.ai/model/v1/queue/minimax_hailuo_23_t2v" \ --header "Authorization: Bearer YOUR_API_KEY" \ --header "Content-Type: application/json" \ --data '{ "prompt": "A red apple slowly rotating on a white table, clean studio lighting, static camera.", "duration": 6, "resolution": "768P" }'视频的文本描述。支持使用 [指令] 语法进行运镜控制,可在 prompt 中通过 [指令] 格式添加运镜指令,以实现精确的镜头控制
支持运镜指令:[左移]、[右移]、[左摇]、[右摇]、[推进]、[拉远]、[上升]、[下降]、[上摇]、[下摇]、[变焦推近]、[变焦拉远]、[晃动]、[跟随]、[固定]
组合运镜:同一组 [] 内的多个指令会同时生效,例如 [左摇,上升],建议组合不超过 3 个
顺序运镜:prompt 中前后出现的指令会依次生效,例如 [推进] 后再 [拉远]
最大长度:2000 字符
视频时长,单位为秒
分辨率 768P:可用时长 6 或 10
分辨率 1080P:可用时长 6
可选值:6、10
默认值:6
视频分辨率。6s 支持 768P、1080P,10s 支持 768P
可选值:768P、1080P
默认值:768P
是否自动优化 prompt。设为 false 可进行更精确的控制
默认值:true
是否缩短 prompt_optimizer 的优化耗时
默认值:false
是否在生成的视频中添加水印
默认值:false
{ "request_id": "mmsu_01hxyz...", "response_url": "https://cloud.seaart.ai/model/v1/queue/minimax_hailuo_23_t2v/requests/mmsu_01hxyz.../response", "status_url": "https://cloud.seaart.ai/model/v1/queue/minimax_hailuo_23_t2v/requests/mmsu_01hxyz.../status", "cancel_url": "https://cloud.seaart.ai/model/v1/queue/minimax_hailuo_23_t2v/requests/mmsu_01hxyz.../cancel", "queue_position": 0}| 字段 | 类型 | 说明 |
|---|---|---|
request_id | string | 任务 ID,后续查询、获取结果和取消都使用它 |
response_url | string | 获取最终结果的 URL |
status_url | string | 查询任务状态的 URL |
cancel_url | string | 取消任务的 URL |
queue_position | int | 队列位置 |